package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.statement.SQLColumnConstraint;
import com.alibaba.druid.sql.ast.statement.SQLConstraintImpl;
import com.alibaba.druid.sql.dialect.dm.ast.DMSQLObject;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLNotVisibleConstraint extends SQLConstraintImpl implements SQLColumnConstraint, DMSQLObject {
   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((DmASTVisitor)visitor);
   }

   public SQLNotVisibleConstraint clone() {
      SQLNotVisibleConstraint x = new SQLNotVisibleConstraint();
      super.cloneTo((SQLConstraintImpl)x);
      return x;
   }

   public void accept0(DmASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
